<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author lorena.salamanca
  
@cu CU-SA-AC-087 Consultar Avalúos Aprobados Asociados al Contrato o Consignación

@modified pedro.garcia Integración con el mb y funcionalidad
-->

<h:form id="consultarAvaluosAprobadosForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions">


    <p:spacer height="5" width="0" />

    <p:fieldset>

        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Razón social / Persona natural:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{consultaAvaluosAprobados.currentContract.entidadSolicitante.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputText value=" " />
            <h:outputText value=" " />

            <h:outputLabel value="Tipo documento:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{consultaAvaluosAprobados.currentContract.entidadSolicitante.tipoIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Número documento:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{consultaAvaluosAprobados.currentContract.entidadSolicitante.numeroIdentificacion}"
                styleClass="outputTextStyle" />


            <h:outputLabel value="Número contrato:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{consultaAvaluosAprobados.currentContract.numero} - #{consultaAvaluosAprobados.currentContract.vigencia}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Valor ejecutado:" styleClass="outputLabelStyle" />
            <h:outputText value="#{consultaAvaluosAprobados.valorEjecutado}"
                          styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

            <h:panelGroup
                rendered="#{consultaAvaluosAprobados.extendedUC eq consultaAvaluosAprobados.CU_SA_AC_086}">
                <h:outputLabel value="Número comprobante consignación:"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{consultaAvaluosAprobados.currentConsignacion.numeroComprobanteDeposito}"
                    styleClass="outputTextStyle" />

                <h:outputText value=" " />
                <h:outputText value=" " />
            </h:panelGroup>

            <h:outputLabel value="Número avalúos aprobados:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{fn:length(consultaAvaluosAprobados.avaluosAprobadosAsociados)}"
                styleClass="outputTextStyle" />

        </h:panelGrid>

        <h:panelGrid columns="1" cellspacing="7" width="100%">

            <p:dataTable widgetVar="avaluosAprobadosDTWV"
                         value="#{consultaAvaluosAprobados.avaluosAprobadosAsociados}"
                         var="avaluoAprobado" rowKey="#{avaluoAprobado.id}" paginator="true"
                         rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                         {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                         emptyMessage="No se encontraron avalúos aprobados">

                <f:facet name="header">
                    Avalúos aprobados
                </f:facet>

                <p:column headerText="Información predial">
                    <p:commandButton title="Información de los predios del avalúo"
                                     icon="ui-icon-home"
                                     action="#{consultaInformacionPredial.cargarInformacionPredial}"
                                     update=":prediosAvaluoForm" onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();
                                     handleCompleteSIC(xhr, status, args, infoPredialWV, true);">
                        <f:setPropertyActionListener value="#{avaluoAprobado}"
                                                     target="#{consultaInformacionPredial.avaluoSeleccionado}" />
                    </p:commandButton>
                </p:column>

                <p:column headerText="Sec_Radicado">
                    <h:outputText value="#{avaluoAprobado.secRadicado}" />
                </p:column>

                <p:column headerText="Departamento">
                    <p:commandLink
                        value="#{avaluoAprobado.avaluoPredios[0].departamento.nombre}"
                        rendered="#{avaluoAprobado.tienePrediosEnDiferentesDeptos}"
                        styleClass="commandLinkStyle"
                        action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                        update=":consultarDepartamentosMunicipioForm"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();
                        infoDeptosMunisWV.show()">
                        <f:setPropertyActionListener value="#{avaluoAprobado.id}"
                                                     target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                    </p:commandLink>

                    <h:outputText
                        rendered="#{!avaluoAprobado.tienePrediosEnDiferentesDeptos}"
                        value="#{avaluoAprobado.avaluoPredios[0].departamento.codigo} - #{avaluoAprobado.avaluoPredios[0].departamento.nombre}" />
                </p:column>

                <p:column headerText="Municipio">
                    <p:commandLink
                        value="#{avaluoAprobado.avaluoPredios[0].municipio.nombre}"
                        rendered="#{avaluoAprobado.tienePrediosEnDiferentesMunicipios}"
                        styleClass="commandLinkStyle"
                        action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                        update=":consultarDepartamentosMunicipioForm"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();
                        infoDeptosMunisWV.show()">
                        <f:setPropertyActionListener value="#{avaluoAprobado.id}"
                                                     target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
                    </p:commandLink>

                    <h:outputText
                        rendered="#{!avaluoAprobado.tienePrediosEnDiferentesMunicipios}"
                        value="#{avaluoAprobado.avaluoPredios[0].municipio.codigo} - #{avaluoAprobado.avaluoPredios[0].municipio.nombre}" />
                </p:column>

                <p:column headerText="Valor honorarios IGAC">
                    <h:outputText value="#{avaluoAprobado.valorHonorariosIGAC}">
                        <f:converter converterId="converterMoneda" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Avalúo comercial">
                    <h:outputText id="avaluoComercialOT"
                                  value="#{avaluoAprobado.avaluoComercial}">
                        <f:converter converterId="converterMoneda" for="avaluoComercialOT" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Fecha aprobación avalúo">
                    <h:outputText value="#{avaluoAprobado.fechaAprobacion}">
                        <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Nombre avaluador">

                    <p:commandLink
                        value="#{avaluoAprobado.avaluadores[0].nombreCompleto}"
                        styleClass="commandLinkStyle"
                        action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                        update=":consultarAvaluadoresAsignadosPG"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();
                        infoAvaluadoresAsignadosWV.show();"
                        rendered="#{avaluoAprobado.tieneMultiplesAvaluadores}">
                        <f:setPropertyActionListener value="#{avaluoAprobado.secRadicado}"
                                                     target="#{consultarAvaluadoresAsignados.secRadicado}" />
                    </p:commandLink>
                    <h:outputText
                        rendered="#{!avaluoAprobado.tieneMultiplesAvaluadores}"
                        value="#{avaluoAprobado.avaluadores[0].nombreCompleto}" />
                </p:column>

            </p:dataTable>
        </h:panelGrid>

    </p:fieldset>

    <p:spacer height="5" width="0" />

</h:form>